@import url(https://fonts.googleapis.com/css?family=Comfortaa);
@import url(https://fonts.googleapis.com/css?family=Quicksand);
@import url(https://fonts.googleapis.com/css?family=Dosis);
@import url(https://fonts.googleapis.com/css?family=Lato);
@import url(https://fonts.googleapis.com/css?family=Oxygen);
@import url(https://fonts.googleapis.com/css?family=Heebo);

.ml-responsive .public.menu_style_modern .menu_container {
  height: 46px;
}

.ml-responsive .public .navbar .navbar-header {
  opacity: 1;
}

.ml-responsive .public .anchors {
  position: absolute;
  z-index: 1000;
  width: 100%;
  justify-content: space-around;
}

/*modern menu*/
@media (min-width: 950px){
body:not(.ml_sidemenu).menu_style_modern #yield {
    padding-top: 0;
	}
}


@media (max-width: 900px) {
 #bodyElement .jumbotron {
        background-size: cover;
        height: 100vh;
        margin: 0;
        min-height: 510px;
        position: relative;
        width: 100%;
      }
#bodyElement .jumbotron-section-2 {
        background-size: cover;
        height: 100vh;
        margin: 0;
        min-height: 510px;
        position: relative;
        width: 100%;
      }
#bodyElement .jumbotron-section-3 {
        background-size: cover;
        height: 100vh;
        margin: 0;
        min-height: 510px;
        position: relative;
        width: 100%;
      }
    }
@media (min-width: 900px) {
#bodyElement .jumbotron {
  	background-attachment: fixed;
  	background-position-y: 46px!important;
    background-size: cover;
    height: 100vh;
    margin: 0;
    min-height: 510px;
    position: relative;
    width: 100%;
  }
#bodyElement .jumbotron-section-2 {
  	background-attachment: fixed;
  	background-position-y: 60px!important;
    background-size: cover;
    height: 100vh;
    margin: 0;
    min-height: 510px;
    position: relative;
    width: 100%;
  }
#bodyElement .jumbotron-section-3 {
  	background-attachment: fixed;
  	background-position-y: 60px!important;
    background-size: cover;
    height: 100vh;
    margin: 0;
    min-height: 510px;
    position: relative;
    width: 100%;
  }
}

.jumbotron-section-2 {
		background-position: center;
	}

.public .jumbotron {
  max-width: 100%;
}
.public .container-fluid {
  max-width: 100%;
}
.public .container-fluid section {
  max-width: 100%;
}

@media (max-width: 900px) {
  #bodyElement .jumbotron, .jumbotron-section-2, .jumbotron-section-3 {
    background-attachment: scroll!important;
    background-repeat: no-repeat;
    background-position: center;
	}
}


#beta_message{
    position: absolute;
    top: 60px;
    z-index: 1000;
    background: black;
}

body#bodyElement.ml_sidemenu .custom_html>* {
    max-width: 100% !important;
    padding: 0;
}

#outerWrapper .container-fluid {
    padding-right: 0;
    padding-left: 0;
}

.copy-text {
  	color: #ffffff;
    font-size: large;
    line-height: 2;
    position: relative;
    top: 50%;
    text-shadow: 0 0 10px #000, 0 0 10px #000, 0 0 10px #000;
}

section.row {
  margin: 0px;
}

.bg-white.bg-shadow.gray-on-white{
    background-position: center;
    background-color: #e2e2e2;
  width: 100vw;
}

.bg-white.bg-shadow.white-on-gray{
    background-position: center;
    background-color: #171717;
}

/*===================
Override styles
=====================*/


#bodyElement #menu_container #ml_navbar ul.nav#
> li {
  height: 40px;
}

#bodyElement.public.ml_sidemenu nav#menu_container #ml_navbar.navbar-collapse.in {
    z-index: 100;
    width: auto;
}

#bodyElement.public.ml_sidemenu nav#menu_container ul.nav {
    position: relative;
}

#bodyElement.public #menu_container #ml_navbar #custom_menu a {
    color: #e2e2e2;
    font-family: 'Quicksand', sans-serif;
}

#bodyElement.public #menu_container #ml_navbar{
  border:none;
  box-shadow: none;
}

#bodyElement.public .wrapper#outerWrapper{
    background: #222222;
}

#bodyElement.public .wrapper#outerWrapper #flyout_container #event_flyout_container #event_flyout{
    background: #e2e2e2;
    bottom: 5px!important;
}

#bodyElement.public .wrapper#outerWrapper #flyout_container #event_flyout_container #event_flyout .close_button.ml_button{
    color: #171717;
    background: none;
}

#bodyElement.public .wrapper#outerWrapper #flyout_container #register_flyout{
    background: #e2e2e2;
}

#bodyElement.public .wrapper#outerWrapper #flyout_container a{
    color: #a5642f;
}

#bodyElement.public .wrapper#outerWrapper #flyout_container .ml_button a {
    background: #171717;
    background-color: #171717;
    border-radius: 5px;
    color: #e2e2e2;
}

#bodyElement.public .wrapper#outerWrapper #flyout_container .ml_button input {
    background: #171717;
    background-color: #171717;
    border-radius: 5px;
    color: #e2e2e2;
}

#bodyElement.public .wrapper#outerWrapper>#yield .custom_html{
    margin-bottom: 0;
}

#bodyElement.public .wrapper#outerWrapper>#yield>br{
    display: none;
}

#bodyElement.public #footer{
    background: #222222;
}

 body#bodyElement .ml_header #login_logout .login-form label{
    color: #222222;
}

body#bodyElement .ml_header #login_logout .login-form a{
    color: #a5642f;
}

body#bodyElement .ml_header #login_logout .login-form .ml_button input{
    background: #222222;
    background-color: #222222;
    border-radius: 5px;
    color: #e2e2e2;
}

body#bodyElement .ml_header #login_logout .login-form .ml_button a{
    background: #222222;
    background-color: #222222;
    border-radius: 5px;
    color: #e2e2e2;
}

#bodyElement.public #menu_container .navbar-header button{
    color: #e2e2e2;
}

.responsive_public_home .navbar-default .navbar-toggle {
    border: none!important;
}

.glyphicon::after{
    content: '';
}

.responsive_public_home .ml_header  {
    display: none;
}

.responsive_public_home .custom_page  {
    margin: 0!important;
}

.bronze-nav.navbar-nav  li  a {
    color: #e2e2e2;
}

/*===================
Loader
=====================*/
.loading-container {
    background: #222222;
    height: 100vh;
    z-index: 10000;
    position: relative;
    padding-top: 1px;
}
  
  .loading-bro {
    margin: 50px auto;
    width: 150px;
  }
  .loading-bro > h1 {
    text-align: center;
    font-size: 2.5em;
    margin-bottom: 1em;
    font-weight: 300;
    color: #e2e2e2;
  }
  
  #load {
    width: 150px;
    animation: loading 3s linear infinite;
  }
  #load #loading-inner {
    stroke-dashoffset: 0;
    stroke-dasharray: 300;
    stroke-width: 10;
    stroke-miterlimit: 10;
    stroke-linecap: round;
    animation: loading-circle 2s linear infinite;
    stroke: #a5642f;
    fill: transparent;
  }
  
  @keyframes loading {
    0% {
      transform: rotate(0);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  @keyframes loading-circle {
    0% {
      stroke-dashoffset: 0;
    }
    100% {
      stroke-dashoffset: -600;
    }
  }

/*===================
Animation CSS
=====================*/
.fsfrdelay {
    animation-duration: 3s;
    animation-fill-mode: forwards;
    animation-name: fadeinright;
    opacity: 0;
    animation-delay: 1s;
}
.fszoomin {
    animation-delay: 4s;
    animation-duration: 3s;
    animation-fill-mode: forwards;
    animation-name: fadezoomin;
    opacity: 0;
}

@keyframes fadeinright {
	0% {
        opacity: 0;
        transform: translate(100px, 0px);
	}
	100% {
        opacity: 1;
        transform: translate(0px, 0px);
	}
}

@keyframes fadezoomin {
	0% {
        opacity: 0;
        transform: scale(0);
	}
	100% {
        opacity: 1;
        transform: scale(1);
	}
}

/* =====================
  General Styles
===================== */
html { font-size: 110%; }
html, body {
  height: 100%; /* Fullscreen BG */
  width: 100%;
}
body {
  color: #e2e2e2;
  font-family: 'Work Sans', helvetica, sans-serif;
  font-size: 1rem;
  font-weight: 300;
  line-height: 1.5;
}
h1 {
  font-family: 'Roboto', sans-serif;
  font-size: 3rem;
}
h2 {
    font-family: 'Roboto', sans-serif;
    font-size: 2.3rem;
}
h3 {
    font-family: 'Roboto', sans-serif;
    font-size: 1.8rem;
}
h4 {
  color: #9da7a6;
  font-size: 1.1rem;
  letter-spacing: 1px;
  line-height: 1.5;
  text-transform: uppercase;
}
small {
  line-height: 1;
}
a {
  color: #29a598;
  transition: background-color 0.2s ease-in-out,
              color 0.2s ease-in-out;
}
a:focus,
a:hover {
  background-color: #29a598;
  color: #fffefd;
}
hr {
  border-color: #cdd1cf;
  margin: 30px 0 60px;
}

/* =====================
  Navbar Styles
===================== */

.navbar-header {
  height: 80px;
}
.navbar-nav {
  margin-bottom: 0;
  margin-top: 0;
}
.navbar-brand,
.navbar-nav > li > a {
  padding-bottom: 0;
  padding-top: 0;
}
.navbar-brand {
  font-size: 1.5rem;
  height: 60px;
  line-height: 60px;
  opacity: 0;
  overflow: hidden;
  text-transform: uppercase;
  transition: opacity 0.5s ease-in-out;
}
.navbar-brand .logo {
  margin-right: 15px;
  max-height: 90px;
}
.navbar-brand span {
  color: #29a598;
}
.navbar-nav > li > a,
.navbar-nav > li > button {
  color: #e2e2e2;
  height: 36px;
  line-height: 36px;
}
.navbar-default .navbar-nav > .active > a {
  background-color: transparent;
  color: #a5642f;
}
.navbar-default .navbar-nav > li > a:focus,
.navbar-default .navbar-nav > li > a:hover,
.navbar-default .navbar-nav > .active > a:focus,
.navbar-default .navbar-nav > .active > a:hover {
  background-color: transparent;
  color: #a5642f;
} 
/* Fixed Menu */
.menu-fixed {
  background-color: #fffefd;
  background-color: rgba(255,254,253,0.97);
  border-radius: 0;
  box-shadow: 0 3px 9px rgba(8,33,30,0.15);
  /*height: 60px;*/
  padding-top: 0;
  position: fixed;
  transition: background-color 0.5s ease-in-out,
              box-shadow 0.5s ease-in-out;
}
.menu-fixed .navbar-header {
  /*height: 60px;*/
}
.menu-fixed .navbar-toggle,
.menu-fixed .navbar-nav > li > a {
  /*margin-top: 13px;*/
}
.menu-fixed .navbar-brand {
  display: block;
  margin-top: 0;
  opacity: 1;
}
  
.jumbotron .container {
  position: relative;
  top: 85%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}
.jumbotron {
  padding-bottom: 45px;
}
.jumbotron .logo {
  max-width: 150px;
  width: 80%;
}
.jumbotron .title {
  color: #a5642f;
}
.jumbotron p {
  margin: 0;
}

/* =====================
  Containers
===================== */
section,
footer {
  padding: 30px 30px 60px;
}
/*** Modal ***/
.modal-dialog.wide {
  width: 90%;
}
.modal-dialog.wide  {
  margin: 0 0 30px;
}
.modal-dialog.wide {
  margin-left: -15px;
  margin-right: -15px;
}
.modal-header {
  border: none;
  padding: 30px 30px 0;
}
.modal-header .close {
  font-size: 2rem;
}
.modal-content {
  background-color: #fffefd;
  border: none;
  box-shadow: 0 3px 6px rgba(8,33,30,0.2);
}
.modal-body {
  padding: 30px;
}
.modal-body li {
  margin-bottom: 9px;
}
.modal-footer {
  padding: 30px 0 15px;
}
/* Fade Up Animation */
.modal.fade .modal-dialog {
  -webkit-transform: translate3d(0, 100vh, 0);
  -ms-transform: translate3d(0, 100vh, 0);
  transform: translate3d(0, 100vh, 0);
}
.modal.in .modal-dialog {
  -webkit-transform: translate3d(0, 0, 0);
  -ms-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}
.modal-backdrop {
  background-color: #fffefd;
  z-index: 1025;
}
.modal-backdrop.in {
    opacity: 0.9;
}

/* =====================
  Buttons
===================== */
.dsm-btn {
  padding: 12px 36px;
  text-transform: uppercase;
  transition: background-color 0.2s ease-in-out;
}
.dsm-btn + .dsm-btn {
  margin-left: 6px;
}
.dsm-btn.small {
  font-family: 'Work Sans', helvetica, sans-serif;
  font-size: 0.7rem;
  padding: 9px 15px 8px;
}
.outline {
  background-color: transparent;
  border: 1px solid #9da6a4;
  color: #9da6a4;
}
.outline:focus,
.outline:hover {
  background-color: #9da6a4;;
  color: #fffefd;
}
.outline.green {
  border-color: #29a598;
  color: #29a598;
}
.outline.green:focus,
.outline.green:hover {
  background-color: #29a598;
  color: #fffefd;
}
.outline.white {
  border-color: #fffefd;
  color: #fffefd;
}
.outline.white:focus,
.outline.white:hover {
  background-color: #fffefd;
  color: #a5642f;
}
/* Navbar Contact Button */
.navbar-nav .outline.pink {
  border-color: #a5642f;
  color: #a5642f;
  margin: 20px 15px 0;
  padding-top: 0;
}
.navbar-nav .outline.pink:focus,
.navbar-nav .outline.pink:hover {
  background-color: #a5642f;
  color: #fffefd;
  text-decoration: none;
}
.menu-fixed .outline.pink {
  margin-top: 11px;
}
/* Codepen and Github SVG Buttons */
.iconBtn > img {
  margin-right: 6px;
  margin-top: -3px;
  width: 18px;
}
.iconBtn:focus > img,
.iconBtn:hover > img {
  -webkit-filter: brightness(10);
  filter: brightness(10);
}

/* Social Icons */
.social {
  display: inline-block;
  transition: box-shadow 0.2s ease-in-out,
              transform 0.2s ease-in-out;
  height: 36px;
  margin-left: 3px;
  width: 36px;
}
.social:focus,
.social:hover {
  background-color: transparent;
}
.social + .social {
  margin-left: 9px;
}
.social img {
  max-width: 100%;
}

/* =====================
  Icons and Images
===================== */
.icon {
  max-height: 90px;
}
.icon + p { 
  margin-top: 15px;
}
/* Profile Pic */
.profile {
  max-width: 180px;
  padding: 0 15px 0 0;
}
/* Glyphicons */
.glyphicon-heart {
  color: #a5642f;
}

/* =====================
  Other Styles
===================== */
.mb-0 {
  margin-bottom: 0;
}
.mb-15 {
  margin-bottom: 15px!important;
}
.mb-30 {
  margin-bottom: 30px;
}
.mb-60 {
  margin-bottom: 60px;
}
.mt-30 {
  margin-top: 30px;
}
.bg-shadow {
  box-shadow: 0 1px 3px rgba(8,33,30,0.5);
}
.bg-white {
  background-color: #fffefd;
  position: relative;
}

.gray {
  color: #9da6a4;
}
.dashed {
  border-top: 2px dashed #ffce3f;
}
/*** Contact Form ***/
.checkbox {
  display: none;
}

/* =====================
  Media Queries
===================== */
@media (max-width: 1199px) {
  /* Center class for medium screens */
  .md-center { text-align: center; }
}
@media (max-width: 991px) {
  /*** Resume ***/
  .year {
    text-align: left;
  }
  /*** Portfolio ***/
  #projects .carousel-control {
    margin-top: 300%;
  }
  #projects .carousel-inner img {
    max-width: 480px;
    width: 100%;
  }
}
@media (max-width: 767px) {
  /*** Jumbotron ***/
  .jumbotron .logo {
    max-width: 120px;
  }
  /*** Mobile Nav ***/
  .navbar-toggle {
    height: 36px;
    margin-bottom: 22px;
    margin-top: 22px;
    z-index: 3000;
  }
  .navbar-toggle .glyphicon {
    color: #6b7a78;
    top: -2px;
  }
  .navbar-default .navbar-toggle:focus,
  .navbar-default .navbar-toggle:hover {
    background-color: transparent;
    border-color: #a5642f;
  }
  .navbar-default .navbar-toggle .active {
    color: #a5642f;
  }
  
  .navbar-collapse .outline.pink {
    margin: 15px auto 30px;
    max-width: 150px;
  }
  /*** Portfolio ***/
  #projects .carousel-control {
    margin-top: 300%;
  }
  #projects .card {
    text-align: center;
  }
}